
Infrastructure - Task #2328

Story # 804 (Closed): Integration testing: Testing access control

refactor authorization tests according to testing design

2012-02-13 23:18 - Rob Nahf

Status: Closed Start date: 2012-02-13

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_integration Estimated time: 0.00 hour

Target version: Sprint-2012.17-Block.3.1   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

see: http://epad.dataone.org/20120130-AuthorizationTestingDesign

History

#1 - 2012-02-13 23:23 - Rob Nahf

design called for > 100 tests.  Refactored MN and CN tests to share a common base class containing all the tests.  Organized the tests by the types

of possible Access Policies (11 types of access policies, so 11 tests), performing multiple isAuthorized() checks in each test.

Need to review how objects are created for null access policies (who is the rightsHolder?)

Need to review mapped user and verified user tests in comparison to expected relationships between test subjects.

#2 - 2012-02-24 17:57 - Rob Nahf

- Status changed from In Progress to Closed

- translation missing: en.field_remaining_hours set to 0.0
